CodecPolicy (Apache Commons Codec 1.22.0 API)
Description: declaration: package: org.apache.commons.codec, enum: CodecPolicy

Package org.apache.commons.codec

# Enum CodecPolicy

java.lang.Object
java.lang.Enum<CodecPolicy>
org.apache.commons.codec.CodecPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<CodecPolicy>`

public enum CodecPolicy extends Enum<CodecPolicy>
Enumerates encoding and decoding policies.

Since:
  1.15

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LENIENT`
  The lenient policy.
  `STRICT`
  The strict policy.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CodecPolicy`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CodecPolicy[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STRICT

    public static final CodecPolicy STRICT
    The strict policy. Data that causes a codec to fail should throw an exception.

  - ### LENIENT

    public static final CodecPolicy LENIENT
    The lenient policy. Data that causes a codec to fail should not throw an exception.

- ## Method Details

  - ### values

    public static CodecPolicy[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CodecPolicy valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null